<?php

/* 



	Plugin Name: Mobile Menu

	Plugin URI: http://mobilemenu.jedipress.com/ 

	Description: Transform your website with a user friendly, dedicated and responsive mobile menu.

	Version: 1.0

	Author: Takanakui 

	Author URI: http://www.jedipress.com

	License: GPLv2 



*/



register_activation_hook( __FILE__,'mobmenu_install');



// Filters



add_filter('wp_head', 'mob_menu_dynamic_css_style');





//Hooks



// Admin Scripts

add_action( 'admin_enqueue_scripts', 'mobmenu_enqueue_admin_scripts' );

// Frontend Scripts

add_action('wp_enqueue_scripts', 'mobmenu_enqueue_scripts',100);

// Sidebar Menu Widgets

add_action( 'wp_loaded', 'mob_menu_register_sidebar' );

//Add admin option into the admin menu

add_action('admin_menu', 'mob_menu_admin_actions'); 

	

if ( !is_admin() && (get_option('mobmenu_opt_enabled') == 'true') ){

	

	//Include the Html structure needed to built the Mobile Menu

 	add_action("wp_footer","mob_menu_markup");	



} 





function mob_menu_dynamic_css_style() {

	

	include_once('includes/style.php');

	

}



//Initialization of Mobile Menu Admin Options

function mobmenu_install(){

		

	update_option('mobmenu_opt_enabled', 'no');      

	update_option('mobmenu_opt_site_logo', 'no');      

	update_option('mobmenu_opt_header_text', 'Header Text');      

	update_option('mobmenu_opt_header_font_size', '23');      

	update_option('mobmenu_opt_header_height', '40');      

	update_option('mobmenu_opt_header_logo_topmargin', '7');      

	update_option('mobmenu_opt_header_bgcolor', '#4486bf');      

	update_option('mobmenu_opt_footer_bgcolor', '#4486bf');      

	update_option('mobmenu_opt_header_textcolor', '#FFF');      

	update_option('mobmenu_opt_res_trigger', '600');      

	update_option('mobmenu_opt_left_text_color', '#001d60');      

	update_option('mobmenu_opt_right_text_color', '#001d60');      

	update_option('mobmenu_opt_left_text_color_hover', '#1e73be');      

	update_option('mobmenu_opt_right_text_color_hover', '#1e73be');      

	update_option('mobmenu_opt_left_menu_bgcolor', '#f7f7f7');      

	update_option('mobmenu_opt_right_menu_bgcolor', '#f7f7f7');  

	update_option('mobmenu_opt_header_logo_topmargin', '0');  

	update_option('mobmenu_opt_left_icon_topmargin', '0');  

	update_option('mobmenu_opt_right_icon_topmargin', '0');  

	update_option('mobmenu_opt_footer_height', '40');  

	update_option('mobmenu_opt_enabled_1stlink', 'false');  

	update_option('mobmenu_opt_enabled_2ndlink', 'false');  

	update_option('mobmenu_opt_enabled_3rdlink', 'false');  

	update_option('mobmenu_opt_enabled_4thlink', 'false');  

	

	

	

}





//Admin Scripts

function mobmenu_enqueue_admin_scripts( ) {

	

    wp_enqueue_style( 'wp-color-picker' );

	wp_enqueue_media();

    wp_enqueue_script( 'wp-color-picker-script', plugins_url('/js/mobmenu-admin.js', __FILE__ ), array( 'wp-color-picker' ), false, true );

	wp_enqueue_style('cssmobmenu-admin',plugins_url('css/mobmenu-admin.css', __FILE__ ));

	wp_register_style('mobmenu-jquery-ui-style', 'http://code.jquery.com/ui/1.10.3/themes/smoothness/jquery-ui.css');  

    wp_enqueue_style('mobmenu-jquery-ui-style');

	wp_enqueue_script('jquery-ui', 'http://code.jquery.com/ui/1.10.3/jquery-ui.min.js', array('jquery'), '1.10.3');

	

}



//Frontend Scripts

function mobmenu_enqueue_scripts(){

	 
	 wp_register_script('mobmenujs',plugins_url('js/mobmenu.js',__FILE__), array( 'jquery' ) );
	 wp_enqueue_script('mobmenujs');

	 

 }



 //Register Sidebar Menu Widgets

function mob_menu_register_sidebar(){

	

	$args = array(

		'name'          => 'Left Menu Top',

		'id'            => 'mobmlefttop',

		'description'   => '',

		'before_widget' => '<li id="%1$s" class="widget %2$s">',

		'after_widget'  => '</li>',

		'before_title'  => '<h2 class="widgettitle">',

		'after_title'   => '</h2>' ); 



	register_sidebar( $args );



	$args = array(

		'name'          => 'Left Menu Bottom',

		'id'            => 'mobmleftbottom',

		'description'   => '',

		'before_widget' => '<li id="%1$s" class="widget %2$s">',

		'after_widget'  => '</li>',

		'before_title'  => '<h2 class="widgettitle">',

		'after_title'   => '</h2>' ); 



	register_sidebar( $args );

	

	

	$args = array(

		'name'          => 'Right Menu Top',

		'id'            => 'mobmrighttop',

		'description'   => '',

		'before_widget' => '',

		'after_widget'  => '',

		'before_title'  => '<h2 class="widgettitle">',

		'after_title'   => '</h2>' ); 



	register_sidebar( $args );



	$args = array(

		'name'          => 'Right Menu Bottom',

		'id'            => 'mobmrightbottom',

		'description'   => '',

		'before_widget' => '<li id="%1$s" class="widget %2$s">',

		'after_widget'  => '</li>',

		'before_title'  => '<h2 class="widgettitle">',

		'after_title'   => '</h2>' ); 



	register_sidebar( $args );

		

}



//Build the Mobile Menu Html Markup

function mob_menu_markup(){ 



	// Check if Header Menu Toolbar is enabled

	if ( 'yes' == get_option('mobmenu_opt_header_menus') ){

		

	?>

	

	<!--  Header Menu Structure -->

	<div class="mob_menu_header_div mob_menu">

	

	<!-- If enabled displays the left menu -->

	<?php if( 'true' == get_option('mobmenu_opt_left_menu_enabled') ){ ?>

		

		<!-- Left Menu Button -->

		<div  class="mobmenul-container">

			<a href="#" id="mobmenu-center">

				<img src="<?php echo get_option("mobmenu_opt_left_icon"); ?>" alt="Left Menu Icon">

			</a>

		</div>	

		

	<?php } ?>

		

		<!-- Center Logo/Text -->

		<div class="logoPlace">

			<a href="<?php echo get_bloginfo("url"); ?>" class="headertext">

			

			<?php if ( "yes" == get_option("mobmenu_opt_site_logo") ) {?>

				

					<img src="<?php echo get_option("mobmenu_opt_site_logo_img"); ?>"  alt="Logo Header Menu">

										

			<?php }else {  echo get_option("mobmenu_opt_header_text"); 	}?>

						

			</a>

		</div>

		

		<?php if( 'true' == get_option('mobmenu_opt_right_menu_enabled') ){ ?>

			

			<!-- Right Menu Button -->

			<div class="mobmenur-container">

				<a href='#' id='mobmenu-right'>

					<img src="<?php echo get_option("mobmenu_opt_right_icon"); ?>"  alt="Right Menu Icon">

				</a>

			</div>

			

		<?php } ?>

		

	</div>

<?php } //End of Header Menu Bar



	

	// Check if Header Menu Toolbar are enabled

	if ( 'yes' == get_option('mobmenu_opt_footer_menus') ){?>

	

	<!--  Footer Menu Structure -->

	<div class="mob_menu_footer_div mob_menu">

		

		<ul>

		

			<!-- 1ST Footer Link Button -->

			<?php if( 'true' == get_option('mobmenu_opt_enabled_1stlink') ){ 

				

					 if( 'yes' == get_option('mobmenu_opt_ft1stlinknwindow') ) 

					 	$urltarget="_blank"; 

					 else  

					 	$urltarget="_self"; 

			?>

						

				<li class="footmenu">

					<a href="<?php echo get_option('mobmenu_opt_ft1stlinkurl'); ?>" target="<?php echo $urltarget; ?>">

						<img src="<?php echo get_option("mobmenu_opt_footer_1sticon"); ?>">

					</a>

				</li>

			

			<?php } ?>

			

			<!-- 2ND Footer Link Button -->

			<?php if( 'true' == get_option('mobmenu_opt_enabled_2ndlink') ){ 

				

					 if( 'yes' == get_option('mobmenu_opt_ft2ndlinknwindow') ) 

					 	$urltarget="_blank"; 

					 else  

					 	$urltarget="_self"; 

			?>

						

				<li class="footmenu">

					<a href="<?php echo get_option('mobmenu_opt_ft2ndlinkurl'); ?>" target="<?php echo $urltarget; ?>">

						<img src="<?php echo get_option("mobmenu_opt_footer_2ndicon"); ?>">

					</a>

				</li>

			

			<?php } ?>

			

			<!-- 3RD Footer Link Button -->

			<?php if( 'true' == get_option('mobmenu_opt_enabled_3rdlink') ){ 

				

					 if( 'yes' == get_option('mobmenu_opt_ft3rdlinknwindow') ) 

					 	$urltarget="_blank"; 

					 else  

					 	$urltarget="_self"; 

			?>

						

				<li class="footmenu">

					<a href="<?php echo get_option('mobmenu_opt_ft3rdlinkurl'); ?>" target="<?php echo $urltarget; ?>">

						<img src="<?php echo get_option("mobmenu_opt_footer_3rdicon"); ?>">

					</a>

				</li>

			

			<?php } ?>

			

			<!-- 4TH Footer Link Button -->

			<?php if( 'true' == get_option('mobmenu_opt_enabled_4thlink') ){ 

				

					 if( 'yes' == get_option('mobmenu_opt_ft4thlinknwindow') ) 

					 	$urltarget="_blank"; 

					 else  

					 	$urltarget="_self"; 

			?>

						

				<li class="footmenu">

					<a href="<?php echo get_option('mobmenu_opt_ft4thlinkurl'); ?>" target="<?php echo $urltarget; ?>">

						<img src="<?php echo get_option("mobmenu_opt_footer_4thicon"); ?>">

					</a>

				</li>

			

			<?php } ?>

			

		</ul>

		

	</div>

	<?php } //End of Footer Menu Bar?>

	

	<!--  Left Panel Structure -->

	<div class="mob_menu_left_panel">

	

		<div class="mobmenu_content">

		

			<!-- Left Menu Top Widget -->

			<div class="leftmtop">

				 <?php dynamic_sidebar( 'Left Menu Top' ); ?>

			</div>

	

			<ul id="mobmenuleft">

			

			<?php wp_nav_menu( array(



					'menu' => get_option('mobmenu_opt_left_menu'),



					'items_wrap' => '<li>%3$s</li>',



					'container_class' => 'menu rounded',



					'container'       => '',



					'fallback_cb' => false,

					

					'depth' => 2



				) ); 



			?>                      

								

			</ul>

			

			<!-- Left Menu Bottom Widget -->

			<div class="leftmbottom">

			 <?php dynamic_sidebar( 'Left Menu Bottom' ); ?>

			</div>

			

		</div>

	</div>





	<!--  Right Panel Structure -->

	<div class="mob_menu_right_panel">

		

		<div class="mobmenu_content">

			

			<!-- Right Menu Top Widget -->

			<div class="rightmtop">

				 <?php dynamic_sidebar( 'Right Menu Top' ); ?>

			</div>

			

			<!-- Right Menu Content -->

			<ul id="mobmenuright">

			

			<?php wp_nav_menu( array(



					'menu' => get_option('mobmenu_opt_right_menu'),



					'items_wrap' => '<li>%3$s</li>',



					'container_class' => 'menu rounded',



					'container'       => '',



					'fallback_cb' => false,

					

					'depth' => 2



				) ); 



			?>    

			</ul>

			<br>

			<!-- Right Menu Bottom Widget -->

			<div class="rightmbottom">

				 <?php dynamic_sidebar( 'Right Menu Bottom' ); ?>

			</div>

								

		</div>

	</div>

	

	

	<?php

}



//Add Admin options - Mobile Menu 

function mob_menu_admin_actions() { 



	if (current_user_can('manage_options'))  {



		add_menu_page("Mobile Menu", "Mobile Menu", 'manage_options', "mobile-menu", "mob_menu_show_admin",plugins_url( 'images/mobile_icon.png', __FILE__ ),'100');





	}



} 



//Include Mobile Menu admin code

function mob_menu_show_admin(){



	include('mobmenu-admin.php'); 

}







?>